org.cybergarage.upnp.ssdp

## Class SSDPSearchResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.upnp.ssdp.SSDPResponse
      - - org.cybergarage.upnp.ssdp.SSDPSearchResponse

-     public class SSDPSearchResponse
      extends SSDPResponse

  Represents an SSDP search response message.

  This class extends SSDPResponse to handle responses to M-SEARCH requests sent by UPnP control points. It provides specialized functionality for creating device discovery responses with appropriate headers and timing.

  Key features:

  - Automatic OK status code setting
  - Cache-control header management
  - Server identification
  - EXT header for UPnP compliance
  - Default lease time configuration

  This class is used by UPnP devices to respond to discovery searches from control points, providing standardized response format with required UPnP headers and device information to enable successful device discovery and connection establishment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPSearchResponse()`

  - ### Method Summary

    - ### Methods inherited from class org.cybergarage.upnp.ssdp.SSDPResponse

      `getBootId, getHeader, getLeaseTime, getLocation, getMYNAME, getST, getUSN, setBootId, setLeaseTime, setLocation, setMYNAME, setST, setUSN`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getStatusCode, getStatusLineString, isSuccessful, print, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPSearchResponse

          public SSDPSearchResponse()